1. AVIA
ETS API
  • Try it and Run in ApiDog
  • AVIA API Documentation
  • AVIA Flows example
  • HOTELS API
  • AVIA
    • 1 REQ B2B Login Token (PREFERRED)
      POST
    • 1 REQ B2B Login (TO BE REMOVED, USE TOKEN LOGIN)
      POST
    • 1 REQ B2C Login
      GET
    • 2A Search Direct flight
      POST
    • 2C Search Round trip
      POST
    • 2B Search Multi-City
      POST
    • 3 Schedule - Amadeus optional
      POST
    • 4 Offers request
      GET
    • 4B Smart Offer Request optional
      GET
    • 4C Offer Rules
      GET
    • 5 Documents types for offer
      GET
    • 6 Offer info
      GET
    • 7 Availability of Offer
      GET
    • 8 OPT Available Services
      GET
    • 9 OPT Select services
      POST
    • 10 Create Order
      POST
    • 11 Split Order
      PATCH
    • 12 Order payment methods
      POST
    • 13 Order payment
      POST
    • 14 Сheckout status
      GET
    • 15 Refund order
      GET
    • 16 Get order info
      GET
    • 17 Print E-Tiket
      GET
    • 18 Receiving a cancellation fee
      GET
    • 19 Cancel Order
      GET
    • 20 Get airports
      GET
    • 21 Get cities
      GET
    • 22 Get countries
      GET
    • 23 Get counterparties info
      GET
    • 24 Get list of countries for citizenship
      GET
    • 25 Get list of country dialing codes
      GET
    • 26 List of contracts
      POST
    • 27 List of agents
      GET
    • 28 View agent profile
      GET
  • HOTELS
    • REQUIRED
      • 1A REQ B2B Login
      • 1B REQ B2B Login Token
      • 1C REQ B2C Login
      • 2 REQ Destination
      • 3 REQ Search
      • 4 REQ Receiving found hotels
      • 5 REQ Getting a Hotel Offer
      • 6 REQ Create order
      • 7 REQ Cancel order
    • OPTIONAL
      • 1 REQ B2B Login
      • 1B REQ B2B Login Token Copy
      • 1 REQ B2C Login
      • 2 REQ Search
      • 3 OPT Destination point info
      • 4 OPT List of popular destinations Copy
      • 5 OPT List of filtered destinations
      • 6 OPT Group guide
      • 7 OPT Getting information on possible hotels
      • 8 OPT Getting the list of currencies
      • 9 REQ Receiving found hotels
      • 10 REQ Getting a Hotel Offer
      • 11 OPT Cancel-policies
      • 12 OPT Account number and info
      • 13 OPT Receiving information on the hotel offer
      • 14 OPT Receive detailed information about the cost of an offer
      • 15 REQ Create order
      • 16 OPT Receive hotel services
  • External system export
    • Export Air Order
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
  1. AVIA

6 Offer info

GET
{{AVIA_URL}}/api/air/offers/{{buy_id}}/info

GET /api/air/offers/{{buy_id}}/info#

Offer info.png
This endpoint retrieves the information status about the air offer identified by the buy_id.
No request body parameters are required for this request.
buy_id (string): Represents the unique ID associated with the offer. You can take it from /api/air/offers, for example, response.data.offers[0].offers[0].segments[0].buy_id
If you send invalid data in buy_id you can receive StatusCode 404 with body:
{
    "message": "Offer not found"
}

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://stage-api.etm-system.ru/api/air/offers/{{buy_id}}/info' \
--header 'Accept: application/json' \
--header 'Etm-Auth-Key: ' \
--header 'Content-Type: application/json'
Response Response Example
{
    "buy_id": "request_52f99f95-c27d-4d89-8209-b0cc73747c81_5ace2f8d-2ec6-48cc-8273-2725fd3e771f_0",
    "directions": [
        {
            "num": 1,
            "segments": [
                {
                    "num": 1,
                    "departure_date": "2026-07-31",
                    "departure_time": "18:40:00",
                    "departure_airport": "TAS",
                    "departure_terminal": "2",
                    "arrival_date": "2026-07-31",
                    "arrival_time": "22:10:00",
                    "arrival_airport": "IST",
                    "arrival_terminal": "",
                    "flight_number": "305",
                    "marketing_airline": "C6",
                    "operating_airline": "C6",
                    "validating_airline": "C6",
                    "duration": null,
                    "booking_class": "V",
                    "fare_basis": "V2OW",
                    "service_class": "E",
                    "baggage": "2PC",
                    "fare_family": null
                }
            ],
            "duration": "05:30:00"
        }
    ],
    "price": {
        "amount": 12586,
        "currency": "RUB"
    },
    "passengers": {
        "adult_qty": 1,
        "child_qty": 0,
        "infant_qty": 0
    }
}
Modified at 2026-07-16 13:34:26
Previous
5 Documents types for offer
Next
7 Availability of Offer
Built with